Bug 1138784 - [eap6] NPE when loading configuration for datasources subsystem of managed server
Summary: [eap6] NPE when loading configuration for datasources subsystem of managed se...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER04
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-05 15:40 UTC by Libor Zoubek
Modified: 2015-11-02 00:44 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:03:12 UTC


Attachments (Terms of Use)

Description Libor Zoubek 2014-09-05 15:40:46 UTC
Description of problem:

I am getting NPE in agent.log when I attempt to load configuration for datasources on Managed EAP.

Version-Release number of selected component (if applicable):
JON 3.3.0.ER1 EAP 6.0.0.GA

How reproducible: always


Steps to Reproduce:
1. have domain mode running and imported
2. visit configuration tab for some running managed server

Actual results: NPE in log

2014-09-05 17:13:50,777 WARN  [ConfigurationManager.threadpool-1] (rhq.core.pc.configuration.ConfigurationCheckExecutor)- An error occurred while checking for an upda
ted Resource configuration for Resource[id=10174, uuid=ef739553-cc33-4fc0-9d4a-997849c9eb1e, type={JBossAS7}Datasources (Managed), key=host=arch,server=server-one,sub
system=datasources, name=datasources, parent=EAP server-one].
java.lang.NullPointerException
        at org.rhq.modules.plugins.jbossas7.ConfigurationLoadDelegate.loadHandleProperties(ConfigurationLoadDelegate.java:222)
        at org.rhq.modules.plugins.jbossas7.ConfigurationLoadDelegate.loadHandleGroup(ConfigurationLoadDelegate.java:174)
        at org.rhq.modules.plugins.jbossas7.ConfigurationLoadDelegate.loadResourceConfiguration(ConfigurationLoadDelegate.java:99)
        at org.rhq.modules.plugins.jbossas7.BaseComponent.loadResourceConfiguration(BaseComponent.java:364)

Expected results:


Additional info: This seems to happen when there are no JDBC drivers deployed on server (or at least listed by server)

Comment 2 Libor Zoubek 2014-09-18 12:36:27 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/904407605
time:    2014-09-18 14:32:18 +0200
commit:  904407605b1d62236907c95fd812c95e8f00c15f
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1138784 - [eap6] NPE when loading configuration for datasources 
         subsystem of managed server

branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/4cebcc92b
time:    2014-09-18 14:35:49 +0200
commit:  4cebcc92b4bcd06b1adcacce6ab58d2d764938e3
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1138784 - [eap6] NPE when loading configuration for datasources 
         subsystem of managed server
         (cherry picked from commit
         904407605b1d62236907c95fd812c95e8f00c15f) Signed-off-by: Libor
         Zoubek <lzoubek@redhat.com>

Comment 3 Simeon Pinder 2014-10-01 21:33:30 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 4 Sunil Kondkar 2014-10-10 14:29:06 UTC
Verified on ON 3.3 ER04 EAP 6.0.0.GA


Note You need to log in before you can comment on or make changes to this bug.